package com.mortals.xhx.module.database.model;

import java.util.List;
import com.mortals.xhx.module.database.model.DatabaseRuleEntity;
/**
* 数据库规则查询对象
*
* @author zxfei
* @date 2023-07-15
*/
public class DatabaseRuleQuery extends DatabaseRuleEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 规则名称 */
    private List<String> nameList;

    /** 规则名称排除列表 */
    private List <String> nameNotList;
    /** 数据源名称 */
    private List<String> sourceList;

    /** 数据源名称排除列表 */
    private List <String> sourceNotList;
    /** 源表 */
    private List<String> sourceTableList;

    /** 源表排除列表 */
    private List <String> sourceTableNotList;
    /** 规则类型(1.SQL规则,2.正则规则,3.值域规则,4.标准包) */
    private List<String> typeList;

    /** 规则类型(1.SQL规则,2.正则规则,3.值域规则,4.标准包)排除列表 */
    private List <String> typeNotList;
    /** SQL表达式 */
    private List<String> expressionList;

    /** SQL表达式排除列表 */
    private List <String> expressionNotList;
    /** SQL过滤条件 */
    private List<String> prerequisiteList;

    /** SQL过滤条件排除列表 */
    private List <String> prerequisiteNotList;
    /** 等级(1.一般,2.重要,3.严重) */
    private List<String> levelList;

    /** 等级(1.一般,2.重要,3.严重)排除列表 */
    private List <String> levelNotList;
    /** 权重(1.一般,2.重要,3.关键指标,4.重要指标) */
    private List<String> weightsList;

    /** 权重(1.一般,2.重要,3.关键指标,4.重要指标)排除列表 */
    private List <String> weightsNotList;
    /** 规则描述 */
    private List<String> descriptionList;

    /** 规则描述排除列表 */
    private List <String> descriptionNotList;
    /** 类型(1.规范性,2.一致性,3.准确性,4.及时性,5.关联性,6.完整性,7.重复性) */
    private List<String> dataTypeList;

    /** 类型(1.规范性,2.一致性,3.准确性,4.及时性,5.关联性,6.完整性,7.重复性)排除列表 */
    private List <String> dataTypeNotList;
    /** 任务状态(0.停用,1.启用) */
    private List<String> statusesList;

    /** 任务状态(0.停用,1.启用)排除列表 */
    private List <String> statusesNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DatabaseRuleQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DatabaseRuleQuery> andConditionList;

    public DatabaseRuleQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 规则名称
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 规则名称
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
    * 获取 规则名称
    * @return nameNotList
    */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
    * 设置 规则名称
    * @param nameNotList
    */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
    * 获取 数据源名称
    * @return sourceList
    */
    public List<String> getSourceList(){
        return this.sourceList;
    }

    /**
    * 设置 数据源名称
    * @param sourceList
    */
    public void setSourceList(List<String> sourceList){
        this.sourceList = sourceList;
    }

    /**
    * 获取 数据源名称
    * @return sourceNotList
    */
    public List<String> getSourceNotList(){
        return this.sourceNotList;
    }

    /**
    * 设置 数据源名称
    * @param sourceNotList
    */
    public void setSourceNotList(List<String> sourceNotList){
        this.sourceNotList = sourceNotList;
    }

    /**
    * 获取 源表
    * @return sourceTableList
    */
    public List<String> getSourceTableList(){
        return this.sourceTableList;
    }

    /**
    * 设置 源表
    * @param sourceTableList
    */
    public void setSourceTableList(List<String> sourceTableList){
        this.sourceTableList = sourceTableList;
    }

    /**
    * 获取 源表
    * @return sourceTableNotList
    */
    public List<String> getSourceTableNotList(){
        return this.sourceTableNotList;
    }

    /**
    * 设置 源表
    * @param sourceTableNotList
    */
    public void setSourceTableNotList(List<String> sourceTableNotList){
        this.sourceTableNotList = sourceTableNotList;
    }

    /**
    * 获取 规则类型(1.SQL规则,2.正则规则,3.值域规则,4.标准包)
    * @return typeList
    */
    public List<String> getTypeList(){
        return this.typeList;
    }

    /**
    * 设置 规则类型(1.SQL规则,2.正则规则,3.值域规则,4.标准包)
    * @param typeList
    */
    public void setTypeList(List<String> typeList){
        this.typeList = typeList;
    }

    /**
    * 获取 规则类型(1.SQL规则,2.正则规则,3.值域规则,4.标准包)
    * @return typeNotList
    */
    public List<String> getTypeNotList(){
        return this.typeNotList;
    }

    /**
    * 设置 规则类型(1.SQL规则,2.正则规则,3.值域规则,4.标准包)
    * @param typeNotList
    */
    public void setTypeNotList(List<String> typeNotList){
        this.typeNotList = typeNotList;
    }

    /**
    * 获取 SQL表达式
    * @return expressionList
    */
    public List<String> getExpressionList(){
        return this.expressionList;
    }

    /**
    * 设置 SQL表达式
    * @param expressionList
    */
    public void setExpressionList(List<String> expressionList){
        this.expressionList = expressionList;
    }

    /**
    * 获取 SQL表达式
    * @return expressionNotList
    */
    public List<String> getExpressionNotList(){
        return this.expressionNotList;
    }

    /**
    * 设置 SQL表达式
    * @param expressionNotList
    */
    public void setExpressionNotList(List<String> expressionNotList){
        this.expressionNotList = expressionNotList;
    }

    /**
    * 获取 SQL过滤条件
    * @return prerequisiteList
    */
    public List<String> getPrerequisiteList(){
        return this.prerequisiteList;
    }

    /**
    * 设置 SQL过滤条件
    * @param prerequisiteList
    */
    public void setPrerequisiteList(List<String> prerequisiteList){
        this.prerequisiteList = prerequisiteList;
    }

    /**
    * 获取 SQL过滤条件
    * @return prerequisiteNotList
    */
    public List<String> getPrerequisiteNotList(){
        return this.prerequisiteNotList;
    }

    /**
    * 设置 SQL过滤条件
    * @param prerequisiteNotList
    */
    public void setPrerequisiteNotList(List<String> prerequisiteNotList){
        this.prerequisiteNotList = prerequisiteNotList;
    }

    /**
    * 获取 等级(1.一般,2.重要,3.严重)
    * @return levelList
    */
    public List<String> getLevelList(){
        return this.levelList;
    }

    /**
    * 设置 等级(1.一般,2.重要,3.严重)
    * @param levelList
    */
    public void setLevelList(List<String> levelList){
        this.levelList = levelList;
    }

    /**
    * 获取 等级(1.一般,2.重要,3.严重)
    * @return levelNotList
    */
    public List<String> getLevelNotList(){
        return this.levelNotList;
    }

    /**
    * 设置 等级(1.一般,2.重要,3.严重)
    * @param levelNotList
    */
    public void setLevelNotList(List<String> levelNotList){
        this.levelNotList = levelNotList;
    }

    /**
    * 获取 权重(1.一般,2.重要,3.关键指标,4.重要指标)
    * @return weightsList
    */
    public List<String> getWeightsList(){
        return this.weightsList;
    }

    /**
    * 设置 权重(1.一般,2.重要,3.关键指标,4.重要指标)
    * @param weightsList
    */
    public void setWeightsList(List<String> weightsList){
        this.weightsList = weightsList;
    }

    /**
    * 获取 权重(1.一般,2.重要,3.关键指标,4.重要指标)
    * @return weightsNotList
    */
    public List<String> getWeightsNotList(){
        return this.weightsNotList;
    }

    /**
    * 设置 权重(1.一般,2.重要,3.关键指标,4.重要指标)
    * @param weightsNotList
    */
    public void setWeightsNotList(List<String> weightsNotList){
        this.weightsNotList = weightsNotList;
    }

    /**
    * 获取 规则描述
    * @return descriptionList
    */
    public List<String> getDescriptionList(){
        return this.descriptionList;
    }

    /**
    * 设置 规则描述
    * @param descriptionList
    */
    public void setDescriptionList(List<String> descriptionList){
        this.descriptionList = descriptionList;
    }

    /**
    * 获取 规则描述
    * @return descriptionNotList
    */
    public List<String> getDescriptionNotList(){
        return this.descriptionNotList;
    }

    /**
    * 设置 规则描述
    * @param descriptionNotList
    */
    public void setDescriptionNotList(List<String> descriptionNotList){
        this.descriptionNotList = descriptionNotList;
    }

    /**
    * 获取 类型(1.规范性,2.一致性,3.准确性,4.及时性,5.关联性,6.完整性,7.重复性)
    * @return dataTypeList
    */
    public List<String> getDataTypeList(){
        return this.dataTypeList;
    }

    /**
    * 设置 类型(1.规范性,2.一致性,3.准确性,4.及时性,5.关联性,6.完整性,7.重复性)
    * @param dataTypeList
    */
    public void setDataTypeList(List<String> dataTypeList){
        this.dataTypeList = dataTypeList;
    }

    /**
    * 获取 类型(1.规范性,2.一致性,3.准确性,4.及时性,5.关联性,6.完整性,7.重复性)
    * @return dataTypeNotList
    */
    public List<String> getDataTypeNotList(){
        return this.dataTypeNotList;
    }

    /**
    * 设置 类型(1.规范性,2.一致性,3.准确性,4.及时性,5.关联性,6.完整性,7.重复性)
    * @param dataTypeNotList
    */
    public void setDataTypeNotList(List<String> dataTypeNotList){
        this.dataTypeNotList = dataTypeNotList;
    }

    /**
    * 获取 任务状态(0.停用,1.启用)
    * @return statusesList
    */
    public List<String> getStatusesList(){
        return this.statusesList;
    }

    /**
    * 设置 任务状态(0.停用,1.启用)
    * @param statusesList
    */
    public void setStatusesList(List<String> statusesList){
        this.statusesList = statusesList;
    }

    /**
    * 获取 任务状态(0.停用,1.启用)
    * @return statusesNotList
    */
    public List<String> getStatusesNotList(){
        return this.statusesNotList;
    }

    /**
    * 设置 任务状态(0.停用,1.启用)
    * @param statusesNotList
    */
    public void setStatusesNotList(List<String> statusesNotList){
        this.statusesNotList = statusesNotList;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public DatabaseRuleQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public DatabaseRuleQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public DatabaseRuleQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public DatabaseRuleQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public DatabaseRuleQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public DatabaseRuleQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 规则名称
    * @param name
    */
    public DatabaseRuleQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 规则名称
    * @param nameList
    */
    public DatabaseRuleQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 数据源名称
    * @param source
    */
    public DatabaseRuleQuery source(String source){
        setSource(source);
		return this;
    }

    /**
    * 设置 数据源名称
    * @param sourceList
    */
    public DatabaseRuleQuery sourceList(List<String> sourceList){
        this.sourceList = sourceList;
		return this;
    }


	/**
    * 设置 源表
    * @param sourceTable
    */
    public DatabaseRuleQuery sourceTable(String sourceTable){
        setSourceTable(sourceTable);
		return this;
    }

    /**
    * 设置 源表
    * @param sourceTableList
    */
    public DatabaseRuleQuery sourceTableList(List<String> sourceTableList){
        this.sourceTableList = sourceTableList;
		return this;
    }


	/**
    * 设置 规则类型(1.SQL规则,2.正则规则,3.值域规则,4.标准包)
    * @param type
    */
    public DatabaseRuleQuery type(String type){
        setType(type);
		return this;
    }

    /**
    * 设置 规则类型(1.SQL规则,2.正则规则,3.值域规则,4.标准包)
    * @param typeList
    */
    public DatabaseRuleQuery typeList(List<String> typeList){
        this.typeList = typeList;
		return this;
    }


	/**
    * 设置 SQL表达式
    * @param expression
    */
    public DatabaseRuleQuery expression(String expression){
        setExpression(expression);
		return this;
    }

    /**
    * 设置 SQL表达式
    * @param expressionList
    */
    public DatabaseRuleQuery expressionList(List<String> expressionList){
        this.expressionList = expressionList;
		return this;
    }


	/**
    * 设置 SQL过滤条件
    * @param prerequisite
    */
    public DatabaseRuleQuery prerequisite(String prerequisite){
        setPrerequisite(prerequisite);
		return this;
    }

    /**
    * 设置 SQL过滤条件
    * @param prerequisiteList
    */
    public DatabaseRuleQuery prerequisiteList(List<String> prerequisiteList){
        this.prerequisiteList = prerequisiteList;
		return this;
    }


	/**
    * 设置 等级(1.一般,2.重要,3.严重)
    * @param level
    */
    public DatabaseRuleQuery level(String level){
        setLevel(level);
		return this;
    }

    /**
    * 设置 等级(1.一般,2.重要,3.严重)
    * @param levelList
    */
    public DatabaseRuleQuery levelList(List<String> levelList){
        this.levelList = levelList;
		return this;
    }


	/**
    * 设置 权重(1.一般,2.重要,3.关键指标,4.重要指标)
    * @param weights
    */
    public DatabaseRuleQuery weights(String weights){
        setWeights(weights);
		return this;
    }

    /**
    * 设置 权重(1.一般,2.重要,3.关键指标,4.重要指标)
    * @param weightsList
    */
    public DatabaseRuleQuery weightsList(List<String> weightsList){
        this.weightsList = weightsList;
		return this;
    }


	/**
    * 设置 规则描述
    * @param description
    */
    public DatabaseRuleQuery description(String description){
        setDescription(description);
		return this;
    }

    /**
    * 设置 规则描述
    * @param descriptionList
    */
    public DatabaseRuleQuery descriptionList(List<String> descriptionList){
        this.descriptionList = descriptionList;
		return this;
    }


	/**
    * 设置 类型(1.规范性,2.一致性,3.准确性,4.及时性,5.关联性,6.完整性,7.重复性)
    * @param dataType
    */
    public DatabaseRuleQuery dataType(String dataType){
        setDataType(dataType);
		return this;
    }

    /**
    * 设置 类型(1.规范性,2.一致性,3.准确性,4.及时性,5.关联性,6.完整性,7.重复性)
    * @param dataTypeList
    */
    public DatabaseRuleQuery dataTypeList(List<String> dataTypeList){
        this.dataTypeList = dataTypeList;
		return this;
    }


	/**
    * 设置 任务状态(0.停用,1.启用)
    * @param statuses
    */
    public DatabaseRuleQuery statuses(String statuses){
        setStatuses(statuses);
		return this;
    }

    /**
    * 设置 任务状态(0.停用,1.启用)
    * @param statusesList
    */
    public DatabaseRuleQuery statusesList(List<String> statusesList){
        this.statusesList = statusesList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public DatabaseRuleQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public DatabaseRuleQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public DatabaseRuleQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public DatabaseRuleQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public DatabaseRuleQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public DatabaseRuleQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public DatabaseRuleQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public DatabaseRuleQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public DatabaseRuleQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public DatabaseRuleQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public DatabaseRuleQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public DatabaseRuleQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public DatabaseRuleQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public DatabaseRuleQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DatabaseRuleQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DatabaseRuleQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DatabaseRuleQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DatabaseRuleQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}